﻿<%@ Page Title="Create a PDF Form in a PDF Document" Language="vb" MasterPageFile="~/MasterPage.Master"
	AutoEventWireup="true" CodeBehind="PDF_Forms.aspx.vb" Inherits="WnvHtmlToPdfDemo.PDF_Creator.PDF_Forms" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<table style="width: 100%; height: 100%">
		<tr>
			<td style="height: 20px; padding-bottom: 1px">
				<asp:Menu ID="demoMenu" runat="server" Orientation="Horizontal" Font-Bold="True"
					OnMenuItemClick="demoMenu_MenuItemClick">
					<Items>
						<asp:MenuItem Text="Live Demo" ToolTip="Live Demo" Value="Live_Demo" Selected="True">
						</asp:MenuItem>
						<asp:MenuItem Text="Description" ToolTip="Description" Value="Description"></asp:MenuItem>
						<asp:MenuItem Text="Sample Code" ToolTip="Sample Code" Value="Sample_Code"></asp:MenuItem>
					</Items>
					<StaticHoverStyle BackColor="White" Font-Underline="True" />
					<StaticMenuItemStyle Font-Size="14px" ForeColor="Black" BackColor="WhiteSmoke" BorderStyle="Solid"
						BorderWidth="1px" HorizontalPadding="20px" ItemSpacing="1px" VerticalPadding="5px"
						Font-Bold="False" Font-Underline="False" />
					<StaticSelectedStyle BackColor="White" Font-Underline="False" ForeColor="Navy" />
				</asp:Menu>
			</td>
		</tr>
		<tr>
			<td style="border: solid 1px Black; padding-top: 10px; padding-left: 10px; padding-right: 10px;
				padding-bottom: 0px">
				<table style="width: 100%; height: 100%">
					<tr>
						<td style="font-size: 14px; font-weight: bold; height: 20px; padding-bottom: 15px;
							padding-top: 5px">
							Create a PDF Form in a PDF Document
						</td>
					</tr>
					<tr>
						<td style="width: 100%;">
							<asp:MultiView ID="demoMultiView" runat="server" ActiveViewIndex="0">
								<asp:View ID="liveDemoView" runat="server">
									<table style="width: 535px; height: 855px">
										<tr>
											<td style="vertical-align: top">
												<table>
													<tr>
														<td>
															Winnovative HTML to PDF Converter allows you to create a PDF form with various types of
															fields in a PDF document. You can save the created PDF document to a file, a stream
															or in a memory buffer. The Full Description and a Code Sample can be accessed from
															the top tabs.
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="font-weight: bold" colspan="2">
																		PDF Form Submit URL
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px" colspan="2">
																	</td>
																</tr>
																<tr>
																	<td style="width: 20px">
																	</td>
																	<td>
																		<table>
																			<tr>
																				<td>
																					<asp:TextBox ID="submitUrlTextBox" runat="server" Text="http://www.winnovative-software.com/pdf_forms_submit/"
																						Width="500px"></asp:TextBox>
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="font-weight: bold" colspan="2">
																		Submit Method:
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px" colspan="2">
																	</td>
																</tr>
																<tr>
																	<td style="width: 20px">
																	</td>
																	<td>
																		<table>
																			<tr>
																				<td>
																					<asp:RadioButton ID="postMethodRadioButton" GroupName="HttpMethod" runat="server"
																						Text="POST" Font-Bold="False" Checked="True" />
																				</td>
																				<td style="width: 30px">
																				</td>
																				<td>
																					<asp:RadioButton ID="getMethodRadioButton" GroupName="HttpMethod" runat="server"
																						Text="GET" Font-Bold="False" />
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<asp:Button ID="createPdfButton" runat="server" Text="Create PDF Document" OnClick="createPdfButton_Click" />
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</asp:View>
								<asp:View ID="descriptionView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="descriptionLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
								<asp:View ID="sampleCodeView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="sampleCodeLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
							</asp:MultiView>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</asp:Content>